Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.core.controller
Class RegistryController

    java.lang.Object
      kieker.monitoring.core.controller.AbstractController
          kieker.monitoring.core.controller.RegistryController

All Implemented Interfaces:
  IRegistryController

    public final class RegistryController

extends AbstractController
implements IRegistryController

Since:
  1.5
Author:
  Jan Waller

Method Summary
`String` | `getStringForUniqueId(int id)` Gets a string for a unique id.
`IRegistry<String>` | `getStringRegistry()` Gets the used IRegistry.
`int` | `getUniqueIdForString(String string)` Gets a unique id for a string.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public final String toString()

  Specified by:
    `toString` in class `AbstractController`

### getUniqueIdForString

    public final int getUniqueIdForString(String string)

  Gets a unique id for a string.

  Specified by:
    `getUniqueIdForString` in interface `IRegistryController`
  Parameters:
    `string` - the string
  Returns:
    the unique id

### getStringForUniqueId

    public String getStringForUniqueId(int id)

  Gets a string for a unique id.

  Specified by:
    `getStringForUniqueId` in interface `IRegistryController`
  Parameters:
    `id` - the unique id
  Returns:
    the string

### getStringRegistry

    public IRegistry<String> getStringRegistry()

  Gets the used IRegistry.

  Specified by:
    `getStringRegistry` in interface `IRegistryController`
  Returns:
    the registry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net